<div class="newAsetMain">
    <div class="dataTable linksListTable newAssetTable subNormal">
        <div class="dataRow header">
            <div class="rowBox">
                <ul class="rowCont">
                    <li ng-repeat="assetTabDetails in newLinkAssetsDetails.assetsDetails"
                    class="paddingLft paddingLR" ng-bind="assetTabDetails.label"></li>
                </ul>
            </div>
        </div>
        <div class="dataRow">
            <div class="rowBox active">
                <div class="basicCont">
                    <ul class="rowCont rowDetails" ng-init="newLinkAssetsDetails.assetTabSelected=newLinkAssetsDetails.rootAssetType">
                        <div class="inBlock" ng-repeat="assetTabDetails in newLinkAssetsDetails.assetsDetails"
                         ng-click="newLinkAssetsDetails.assetTabSelected=assetTabDetails.type">
                            <li ng-class="assetTabDetails.type" class="type" ng-click="validateTab(assetTabDetails.index)">
                                <div ng-class="assetTabDetails.type+'Icon'" class=" icon hasData">
                                    <img ng-src="images/{{assetTabDetails.type}}-Connected.png" alt=""
                                    ng-show="newLinkAssetsDetails.assetsDetails[assetTabDetails.index].id!=''">
                                    <img ng-src="images/{{assetTabDetails.type}}-NotConnected.png" alt=""
                                    ng-show="newLinkAssetsDetails.assetsDetails[assetTabDetails.index].id===''">

                                </div>
                                <div ng-class="{activeMarker:newLinkAssetsDetails.assetTabSelected===assetTabDetails.type}"></div>
                            </li>
                            <li class="connection" ng-if="assetTabDetails.index!=newLinkAssetsDetails.assetsDetails.length-1">
                                <div class="connectionIcon icon">
                                    <img ng-src="images/connectedIcon.png" alt="" ng-show="newLinkAssetsDetails.assetsDetails[assetTabDetails.index+1].id!=''">
                                    <img ng-src="images/notconnectedIcon.png" alt="" ng-show="newLinkAssetsDetails.assetsDetails[assetTabDetails.index+1].id===''">
                                </div>
                            </li>
                        </div>
                    </ul>
                </div>
            </div>
        </div>
    </div>
    <div class="assetDetails">
        <div class="addCarSec" ng-init="addCarType='newCar'">
            <div class="midTitle helvMedium borderBtm paddingBtm marginBtmSml ">
                Add New {{newLinkAssetsDetails.assetsDetails[newLinkAssetsDetails.activeTab].label}}
            </div>
            <ul class="sectionTabs simple subNormal marginBtm">
                <li ng-class="{active:newLinkAssetsDetails.assetsDetails[newLinkAssetsDetails.activeTab].new}"
                ng-click="newLinkAssetsDetails.assetsDetails[newLinkAssetsDetails.activeTab].new=true">
                New {{newLinkAssetsDetails.assetsDetails[newLinkAssetsDetails.activeTab].label}}
                </li>
                <li ng-class="{active:!newLinkAssetsDetails.assetsDetails[newLinkAssetsDetails.activeTab].new}"
                    ng-click="newLinkAssetsDetails.assetsDetails[newLinkAssetsDetails.activeTab].new=false">
                    Existing {{newLinkAssetsDetails.assetsDetails[newLinkAssetsDetails.activeTab].label}}
                </li>
            </ul>
            <!--<div class="newCar" ng-show="addCarType=='newCar'">-->
                <ul ng-show="!newLinkAssetsDetails.assetsDetails[newLinkAssetsDetails.activeTab].new" class="form paddingBtmSml">
                <li>
                    <div class="midBlock">
                        <div class="dropDown search midBlock medium subNormal">
                            <div class="head" data-init="0">
                                <input type="text" class="headTitle subNormal"
                                       ng-model="assetName"
                                       placeholder="Please enter {{newLinkAssetsDetails.assetsDetails[newLinkAssetsDetails.activeTab].label}} name"
                                       ng-change="getExistingAsset(assetName)">
                            </div><!--{{newLinkAssetsDetails.searchData.assetByName}}-->
                            <ul class="list">
                                <li ng-repeat="linkAsset1 in newLinkAssetsDetails.searchData.assetByName"
                                    ng-bind="linkAsset1.value.assetName"
                                    ng-click="getExistingAssetData(linkAsset1.value.id)">
                                </li>
                            </ul>
                        </div>
                    </div>
                     </li>
            </ul>
                <form ng-show="newLinkAssetsDetails.assetsDetails[newLinkAssetsDetails.activeTab].new" name="{{newLinkAssetsDetails.formDetails.name}}" class="css-form" novalidate>
                    <div class="marginBtmSml">
                        <ul class="form flow dynamic">
                            <li ng-repeat="formEle in newLinkAssetsDetails.formDetails.objects">
                                <div ng-if="formEle.assetName">
                                    <div ng-if="!newLinkAssetsDetails.formDetails.edit" ng-init="newLinkAssetsDetails.formDetails.value.assetName = formEle.model"></div>
                                </div>
                                <div ng-show="formEle.type!='dropDown'">
                                    <div class="tag capitalize">{{formEle.name}}
                                    <span class="error mainNormal" ng-if="formEle.required">*</span></div>
                                    <input ng-if="formEle.type!='date'" name="{{formEle.model}}" type="{{formEle.type}}"
                                           ng-model="newLinkAssetsDetails.formDetails.value[formEle.model]"
                                           placeholder="{{formEle.description}}"
                                           ng-required="formEle.required">
                                    <input ng-if="formEle.type ==='date'"
                                           name="{{formEle.model}}" type="text"
                                           ng-model="newLinkAssetsDetails.formDetails.value[formEle.model]"
                                           placeholder="{{formEle.description}}"
                                           ng-required="formEle.required"
                                           date="newLinkAssetsDetails.formDetails.value[formEle.model]" date-picker>
                                    <div class="error small marginTopShort"
                                         ng-show="!newLinkAssetForm[formEle.model].$pristine
                                         && newLinkAssetForm[formEle.model].$invalid">
                                        Please Enter {{formEle.name}} Of Type "{{formEle.type | uppercase}}"
                                    </div>
                                    <!-- <div class="error small marginTopShort" ng-if="formEle.name==='Sensor Name' && !sensorControllerObjects.addingSensor.isSensorNameUnique">
                                         Sensor Name {{$parent.sensor.sensorName}} Already Exist
                                     </div>-->
                                </div>
                                <div ng-show="formEle.type==='dropDown'">
                                    <div ng-if="!newLinkAssetsDetails.formDetails.edit"
                                     ng-init="newLinkAssetsDetails.formDetails.value[formEle.model]=formEle.dropDownDetails.defaultValue">
                                    </div>
                                    <div class="tag capitalize">{{formEle.name}}
                                        <span class="error mainNormal" ng-if="formEle.required">*</span>
                                    </div>
                                    <div class="dropDown midBlock personCat">
                                        <div class="head" data-init="0">
                                            <div class="headTitle">{{newLinkAssetsDetails.formDetails.value[formEle.model]}}</div>
                                        </div>
                                        <ul class="list">
                                            <li ng-repeat="dropDownValue in formEle.dropDownDetails.dropDownValues"
                                                ng-click="newLinkAssetsDetails.formDetails.value[formEle.model]=dropDownValue">
                                                {{dropDownValue}}
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                            </li>
                        </ul>
                    </div>
                </form><ul ng-show="addCarType=='existingCar'" class="form paddingBtmSml">
                    <li>
                        <div class="midBlock">
                            <div class="dropDown search midBlock medium subNormal">
                                <div class="head" data-init="0">
                                    <input type="text" class="headTitle subNormal"
                                           ng-model="assetName"
                                           placeholder="Please enter {{newLinkAssetsDetails.assetsDetails[newLinkAssetsDetails.activeTab].label}} name"
                                           ng-change="getExistingAsset(assetName)">
                                </div><!--{{newLinkAssetsDetails.searchData.assetByName}}-->
                                <ul class="list">
                                    <li ng-repeat="linkAsset1 in newLinkAssetsDetails.searchData.assetByName"
                                        ng-bind="linkAsset1.value.assetName"
                                        ng-click="getExistingAssetData(linkAsset1.value.id)">
                                    </li>
                                </ul>
                            </div>
                        </div>
                      </li>
                </ul>
        </div>
        <div class="btnMain roboRegular small floatLeft" >
        <button ng-if="newLinkAssetsDetails.activeTab!=0"
            class="btn red marginRgt"data-hint=1 ng-click="validateForm(newLinkAssetsDetails.direction[0],null)"><!--prevAssetDetailsBtn-->
            <img src="images/leftArrowWhite.png" class="icon midBlock" alt="">
            <div class="midBlock marginLeftSrt">PREV</div>
        </button>
        <button ng-if="newLinkAssetsDetails.activeTab!=newLinkAssetsDetails.assetsDetails.length-1"
            class="btn red marginRgt" data-hint=1 ng-click="validateForm(newLinkAssetsDetails.direction[1],null)"><!--nextAssetDetailsBtn-->
            <div class="midBlock marginLeftSrt">NEXT</div>
            <img src="images/rightArrowWhite.png" class="icon midBlock" alt="">
        </button>
        <button ng-if="newLinkAssetsDetails.activeTab == newLinkAssetsDetails.assetsDetails.length-1"
            class="btn red marginRgt" data-hint=1 ng-click="save()">
            <div class="midBlock marginLeftSrt">SAVE</div>
        </button>



        </div>

        <!--cancel button which route to link asset list-->
        <div class="btnMain roboRegular subNormal floatRight">
            <a class="btn cancel marginLeft" ng-click="clearData()"
           href="#/necApp/driverLinks/driverAssetLinks" >CANCEL</a>
        </div>
        <span class="clear"></span>
    </div>
</div>
<!--........ next asset popup .....-->

<div class="popup midSize nextAssetDetailsPopup">
    <div class="x close">X</div>
    <div class="popupContent">
        <div class="msg smallTitle roboLight marginBtmSec">
            The form is not filled completely. The details will not be saved<br>
            Do you want to continue?
        </div>

        <div class="btnsMain">
            <span  ng-if="newLinkAssetsDetails.selectionType==='btn'">
                <button class="btn red midBlock marginRgt prevAssetDetailsBtn close "
                ng-click="validateForm()">Yes</button>
            </span>
            <span ng-if="newLinkAssetsDetails.selectionType!='btn'">
                <button class="btn red midBlock marginRgt close" ng-click="validateTab()">Yes
                </button>
            </span>


            <div class="btn midBlock close cancel" >Cancel</div>
        </div>
    </div>
</div>